darcs

Issue 2393 whatsnew functionality in annotate should be removed

Title whatsnew functionality in annotate should be removed
Priority bug Status resolved
Milestone 2.12.0 Resolved in
Superseder Nosy List bf
Assigned To
Topics

Created on 2014-05-29.12:19:13 by bf, last changed 2016-04-14.19:00:07 by gh.

Messages
msg17481 (view) Author: bf Date: 2014-05-29.12:19:12
1. Summarise the issue (what were doing, what went wrong?)

Reading the output of 'darcs help annotate' or looking at the code
reveals that annotate command duplicates functionality of changes/log
when given --patch, --tag, or --match option. This is confusing and
causes unnecessary complications.

I propose to completely remove this functionality from annotate.

2. What behaviour were you expecting instead?

That annotate does what everyone expects, no more.

3. What darcs version are you using? (Try: darcs --exact-version)

This "feature" is at least as old as 2.8.4, but probably much older.
msg19137 (view) Author: gh Date: 2016-04-04.15:02:20
I agree with removing the "annotating a patch" feature of annotate for
the following reasons:

1. The feature is already implemented in darcs log

2. annotate flags are curently counter-intuitive, see
http://bugs.darcs.net/issue1496 and http://bugs.darcs.net/issue2458

3. It would save us some 20 lines in the UI.Commands.Annotate module,
and also help us concentrate on the long-standing bugs of file annotate.
History
Date User Action Args
2014-05-29 12:19:13bfcreate
2016-04-04 15:02:24ghsetmessages: + msg19137
milestone: 2.12.0
2016-04-14 19:00:07ghsetstatus: unknown -> resolved